# Interface Selectors.Selector

All Known Implementing Classes:
  `Selectors.Adjacent, Selectors.And, Selectors.AttributeBeginHyphen, Selectors.AttributeIncludes, Selectors.AttributeSelector, Selectors.Child, Selectors.ClassSelector, Selectors.Descendant, Selectors.ElementType, Selectors.IdSelector, Selectors.PseudoClass, Selectors.SelectorList, Selectors.Universal`

Enclosing class:
  `Selectors`

public static sealed interface Selectors.Selector permits Selectors.Universal, Selectors.ElementType, Selectors.ClassSelector, Selectors.IdSelector, Selectors.AttributeSelector, Selectors.AttributeIncludes, Selectors.AttributeBeginHyphen, Selectors.PseudoClass, Selectors.And, Selectors.Descendant, Selectors.Child, Selectors.Adjacent, Selectors.SelectorList
A parsed CSS selector. Sealed; pattern-match in the matcher.

## Method Summary

Modifier and Type
Method
Description
`int`
`specificity()`
CSS specificity contribution of this selector.
`String`
`text()`
Best-effort textual reproduction of the selector.

## Method Details

### specificity

int specificity()
CSS specificity contribution of this selector.

### text

String text()
Best-effort textual reproduction of the selector.